#include <fork.h>
#include <syscall.h>
#include <io.h>
#include <assert.h>
#include <math.h>

sh int c1 = 8, c2 = 8;

void
main(int ac, char *av[])
{

    if (!__PROC_NR__) {
        if (ac > 1) {
            c2 = atoi(av[1]);
        }
        if (ac > 2) {
            c1 = atoi(av[2]);
            c1 = (c1 + c1 - 1) / __STARTED_PROCS__;
        }
    }

    barrier;

    if (c1 <= 0 || c2 <= 0)
        exit(1);

    start {
        pr int i, j;

        for (i = 0; i < c1; i++) {
            farm {
                j = c2;
                while (j--);
            }
        }
    }

    exit(0);
}

